<?php

namespace Litecms\Importexport\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ImportTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('imports')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'importexport.import.view',
                'name'      => 'View Import',
            ],
            [
                'slug'      => 'importexport.import.create',
                'name'      => 'Create Import',
            ],
            [
                'slug'      => 'importexport.import.edit',
                'name'      => 'Update Import',
            ],
            [
                'slug'      => 'importexport.import.delete',
                'name'      => 'Delete Import',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/importexport/import',
                'name'        => 'Import',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/importexport/import',
                'name'        => 'Import',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'import',
                'name'        => 'Import',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Importexport',
                'module'    => 'Import',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'importexport.import.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
