<?php

namespace Litecms\Importexport\Repositories\Eloquent;

use Litecms\Importexport\Interfaces\ImportRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Importexport\Repositories\Eloquent\Presenters\ImportItemPresenter;


class ImportRepository extends BaseRepository implements ImportRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.importexport.import.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.importexport.import.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return ImportItemPresenter::class;
    }
}
